%define major	25
%define libname %mklibname git2_ %{major}
%define devname %mklibname -d git2

Name:		libgit2
Version:	0.25.0
Release:	%mkrel 1
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries
License:	GPLv2 with exceptions
URL:		http://libgit2.github.com/
Source0:	https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake >= 2.6
BuildRequires:	http-parser-devel
#BuildRequires: libxdiff-devel
BuildRequires:	openssl-devel
BuildRequires:	python
BuildRequires:	zlib-devel
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(libcurl)

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{libname}
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries

%description -n %{libname}
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

# Remove VCS files from examples
find examples -name ".gitignore" -delete

# Fix pkgconfig generation
sed -i 's|@CMAKE_INSTALL_PREFIX@/||' libgit2.pc.in

# Don't test network
sed -i 's/ionline/xonline/' CMakeLists.txt

# Remove bundled libraries
rm -rf deps
#rm -rf src/xdiff

%build
%cmake -DTHREADSAFE:BOOL=ON
%make_build

%check
ctest -V

%install
%make_install -C build

%files -n %{libname}
%doc README.md COPYING AUTHORS
%{_libdir}/libgit2.so.%{major}
%{_libdir}/libgit2.so.0.%{major}{,.*}

%files -n %{devname}
%doc docs examples
%{_libdir}/libgit2.so
%{_libdir}/pkgconfig/libgit2.pc
%{_includedir}/git2*


%changelog
* Wed Mar 22 2017 ovitters <ovitters> 0.25.0-1.mga6
+ Revision: 1094370
- bump major
- new version 0.25.0

* Tue Jan 10 2017 wally <wally> 0.24.6-1.mga6
+ Revision: 1080838
- new version 0.24.6 to fix CVE-2016-856[8,9] (mga#19553)

* Sun Nov 13 2016 akien <akien> 0.24.1-2.mga6
+ Revision: 1066938
- Provide libgit2-devel (used by cargo synced with Fedora)

* Mon May 02 2016 tv <tv> 0.24.1-1.mga6
+ Revision: 1008654
- new release

* Tue Mar 15 2016 tv <tv> 0.24.0-1.mga6
+ Revision: 990762
- bump major
- new release

* Wed Mar 02 2016 umeabot <umeabot> 0.23.4-2.mga6
+ Revision: 983569
- Rebuild for openssl

* Sat Feb 20 2016 tv <tv> 0.23.4-1.mga6
+ Revision: 972351
- new release

* Mon Feb 15 2016 umeabot <umeabot> 0.23.2-2.mga6
+ Revision: 961003
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 0.23.2-1.mga6
+ Revision: 883225
- new release

* Tue Aug 04 2015 wally <wally> 0.23.1-1.mga6
+ Revision: 861043
- new version 0.23.1
- new libmajor 23
- drop unneeded patches

* Sun Jun 21 2015 ovitters <ovitters> 0.22.2-1.mga6
+ Revision: 838223
- fix major and br
- new version 0.22.2

* Wed Oct 15 2014 umeabot <umeabot> 0.21.1-3.mga5
+ Revision: 744920
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.21.1-2.mga5
+ Revision: 681487
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 wally <wally> 0.21.1-1.mga5
+ Revision: 661399
- new version 0.21.1

* Sun Jun 22 2014 wally <wally> 0.21.0-1.mga5
+ Revision: 638700
- new version 0.21.0
- new lib major 21

* Tue Feb 04 2014 wally <wally> 0.20.0-1.mga5
+ Revision: 582084
- clean .spec a bit

* Fri Jan 10 2014 tv <tv> 0.20.0-1.mga4
+ Revision: 566119
- imported package libgit2


* Mon Jan 06 2014 Thierry Vignaud <tv@mageia.org> 0.19.0-1.mga4
- initial release (based on FC)
- temporary build with internal xdiff
